Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GNU Prolog for Java
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gnu.prolog.database
Interface PrologTextLoaderListener

All Known Implementing Classes:
  AbstractPrologTextLoaderListener, PrologTextLoaderState

    public interface PrologTextLoaderListener

A listener for certain prolog text loader events

Author:
  Michiel Hendriks

Method Summary
`void` | `afterIncludeFile(PrologTextLoader loader)` Called right after an include file has been processed and before the loader returns to the previous file.
`void` | `afterProcessFile(PrologTextLoader loader)` Called right after the file has been processed
`void` | `beforeIncludeFile(PrologTextLoader loader, Term argument)` Called before an include file is being processed.
`void` | `beforeProcessFile(PrologTextLoader loader)` Called right before the file is being processed

Method Detail

### beforeProcessFile

    void beforeProcessFile(PrologTextLoader loader)

  Called right before the file is being processed

  Parameters:
    `loader` -

### afterProcessFile

    void afterProcessFile(PrologTextLoader loader)

  Called right after the file has been processed

  Parameters:
    `loader` -

### beforeIncludeFile

    void beforeIncludeFile(PrologTextLoader loader,
                           Term argument)

  Called before an include file is being processed. The loader's currentFile fields have not been updated yet.

  Parameters:
    `loader` -
    `argument` - The argument passed to the include directive

### afterIncludeFile

    void afterIncludeFile(PrologTextLoader loader)

  Called right after an include file has been processed and before the loader returns to the previous file.

  Parameters:
    `loader` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GNU Prolog for Java
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD